/**
  Module to make writing service-specific tests easy.
*/
{ lib, ... }:
let
  inherit (lib) mkOption types;
in
{
  options = {
    serviceTests = mkOption {
      type = types.attrsOf types.package;

      description = ''
        NixOS tests to run.
      '';

      default = { };
    };
  };
}
